<div class="datepicker__group datepicker__group--icon">
    <label *ngIf="mbLabelText != null" class="input__label" [innerHTML]="mbLabelText"></label>
    <span *ngIf="required" class='label__required'> *</span>
    <div class="datetimework">
        <div [class]="inputGroupGroupClass">
            <em *ngIf="mbDatePickerIcon != null" nz-icon [nzType]="mbDatePickerIcon" nzTheme="outline"></em>
            <nz-date-picker maskDate nzAllowClear [nzBackdrop]="true" [nzAutoFocus]="mbAutofocus" [nzDisabled]="mbDisabled"
                [nzInputReadOnly]="mbInputReadOnly" [nzMode]="mbMode" [nzPlaceHolder]="mbPlaceholderText"
                [nzSuffixIcon]="mbSuffixIcon" [nzInline]="mbInline" [nzDisabledDate]="mbDisabledDate"
                [(ngModel)]="value" [nzShowToday]="mbShowToday"
                [nzDisabledTime]="mbDisabledTime" [nzDateRender]="mbDateRender"
                [nzRenderExtraFooter]="mbRenderExtraFooter" (nzOnOpenChange)="openChange($event)"
                (nzOnOk)="onOk($event)" (ngModelChange)="onInputChange($event)">
            </nz-date-picker>
        </div>
        <div class="select-time">
            <mb-select [mbDataSelects]="mbIsStartTime ? timeStart : timeEnd" [mbType]="mbType"
                [mbShowClear]="false"
                [mbPlaceholder]="mbPlaceholderTime"
                [mbOptionHeightPx]="56" [mbOptionOverflowSize]="2"
                mbDropdownClassName="datetime-work"
                (mbEventEmit)="changeTime($event)" [(ngModel)]="selectedTime">
            </mb-select>
        </div>
    </div>
    <div *ngIf="textMessageValue != null && mbShowError" [class]="inputMessageClass">
        <em *ngIf="mbShowIconMessage" nz-icon [nzType]="iconType" nzTheme="outline"></em>
        <span class="text__message">{{textMessageValue}}</span>
    </div>

</div>